Subject: Re: Compiling git-snapshot-20069831

From: Jakub Narebski <[email-masked]>
Date: Thu, 31 Aug 2006 21:30:07 +0200

Jorma Karvonen wrote:

> Johannes Schindelin wrote:
>
>> On Thu, 31 Aug 2006, Jorma Karvonen wrote:
>>   
>>> I tried
>>>
>>> make configure
>>>
>>> and got an error message:
>>>
>>> /bin/sh: curl-config: command not found
>>> make: **** No rule to make target `configure'. Stop.
     
The offending line seems to be
        curl_check := $(shell (echo 070908; curl-config --vernum) | sort -r | sed -ne 2p)
and it is turned off if you always run make with NO_CURL=1.
Or write NO_CURL=1 (or NO_CURL=YesPlease) in the config.mak file

>> Okay. I deem this a bug in our Makefile.
>>
>> Could you please try "autoconf" and _then_ "./configure"?
>>
> I tried autoconf and result was:
> 
> autoconf: no input file
 
"autoconf -o configure configure.ac" then

By the way, from what directory you try to run make from?
autoconf default input file is configure.ac, and AFAIK it is 
present in 'master' from quite some time, and perhaps in 'maint'
as well.

What is in GIT-VERSION-FILE aftre running GIT-VERSION-GEN?

Below my results of running make configure in git/ working directory:

1047:jnareb@roke:~/git> make configure
GIT_VERSION = 1.4.2.gf713
rm -f configure configure.ac+
sed -e 's/@@GIT_VERSION@@/1.4.2.gf713/g' \
    configure.ac > configure.ac+
autoconf -o configure configure.ac+
rm -f configure.ac+

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git